> For the complete documentation index, see [llms.txt](/llms.txt).
> A full single-fetch corpus is available at [llms-full.txt](/llms-full.txt).
---
title: "Get a project"
description: "Fetch a single project by its UUID."
method: "GET"
endpoint: "/api/v1/projects/:id"
order: 2
last_verified: 2026-07-27
---

<ApiEndpoint
  method="GET"
  endpoint="/api/v1/projects/:id"
  description="Fetch a single project by its UUID."
>
  <section>
    ### Path parameters

    <ApiAttribute name="id" type="string" description="The project's UUID." required={true} />
  </section>

  <section>
    ### Request example

    <MultiLanguageCodeBlock
      languages={["bash", "javascript"]}
      value={[
        {
          language: 'bash',
          code: `curl https://api.agnt5.com/api/v1/projects/b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f \\
  -H "X-API-KEY: {api_key}"`
        },
        {
          language: 'javascript',
          code: `fetch('https://api.agnt5.com/api/v1/projects/b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f', {
  headers: { 'X-API-KEY': apiKey }
})`
        }
      ]}
    />

    ```json {{ title: 'Response' }}
    {
      "success": true,
      "message": "Project retrieved successfully",
      "data": {
        "id": "b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f",
        "name": "invoice-processor",
        "ref": "invoice-processor-a1b2",
        "slug": "invoice-processor",
        "status": "active",
        "language": "python",
        "language_version": "3.12",
        "workflows_count": 4,
        "deployments_count": 6,
        "created": 1732636800000,
        "updated": 1753612800000,
        "environment": "production",
        "created_by": "3f2b1a0c-...",
        "prod_deployment_id": "8a1c2d3e-...",
        "organization_id": "1a2b3c4d-..."
      }
    }
    ```
  </section>
</ApiEndpoint>
